## gate.creole
Class TestXSchema

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--junit.framework.TestCase
                  |
                  +--gate.creole.TestXSchema

All Implemented Interfaces:
  junit.framework.Test

public class TestXSchema
extends junit.framework.TestCase

Annotation schemas test class.

Field Summary
`private static boolean` `DEBUG` Debug flag

Fields inherited from class junit.framework.TestCase
`fName`

Constructor Summary
`TestXSchema(String name)` Construction

Method Summary
`void` `setUp()` Fixture set up
`static junit.framework.Test` `suite()` Test suite routine for the test runner
`void` `testFactoryCreation()` Test creation of annotation schemas via gate.Factory
`void` `testFromAndToXSchema()` A test

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert

`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### DEBUG

    private static final boolean DEBUG

  Debug flag

Constructor Detail

### TestXSchema

    public TestXSchema(String name)

  Construction

Method Detail

### setUp

    public void setUp()

  Fixture set up
  Overrides:
    `setUp` in class `junit.framework.TestCase`

### testFromAndToXSchema

    public void testFromAndToXSchema()
                              throws Exception

  A test

### testFactoryCreation

    public void testFactoryCreation()
                             throws Exception

  Test creation of annotation schemas via gate.Factory

### suite

    public static junit.framework.Test suite()

  Test suite routine for the test runner